Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.mohm.common.v7
Class CancelApplicationNotAcceptedType

    java.lang.Object
      be.vlaanderen.mercurius.mohm.common.v7.CancelApplicationNotAcceptedType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2024-04-05T05:10:04+02:00",
               comments="JAXB RI v2.3.6")
    public class CancelApplicationNotAcceptedType

extends Object
implements Serializable

Generiek type voor negatief antwoord op de vraag tot annulering van een aanvraag.

Java class for CancelApplicationNotAcceptedType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CancelApplicationNotAcceptedType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Status" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ApplicationStatusType" minOccurs="0"/>
             <element name="StatusDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="ErrorList" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}ErrorListType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`CancelApplicationNotAcceptedType()`

Method Summary
`ErrorListType` | `getErrorList()` Gets the value of the errorList property.
`ApplicationStatusType` | `getStatus()` Gets the value of the status property.
`org.joda.time.DateTime` | `getStatusDate()` Gets the value of the statusDate property.
`void` | `setErrorList(ErrorListType value)` Sets the value of the errorList property.
`void` | `setStatus(ApplicationStatusType value)` Sets the value of the status property.
`void` | `setStatusDate(org.joda.time.DateTime value)` Sets the value of the statusDate property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CancelApplicationNotAcceptedType

    public CancelApplicationNotAcceptedType()

Method Detail

### getStatus

    public ApplicationStatusType getStatus()

  Gets the value of the status property.

  Returns:
    possible object is `ApplicationStatusType`

### setStatus

    public void setStatus(ApplicationStatusType value)

  Sets the value of the status property.

  Parameters:
    `value` - allowed object is `ApplicationStatusType`

### getStatusDate

    public org.joda.time.DateTime getStatusDate()

  Gets the value of the statusDate property.

  Returns:
    possible object is `String`

### setStatusDate

    public void setStatusDate(org.joda.time.DateTime value)

  Sets the value of the statusDate property.

  Parameters:
    `value` - allowed object is `String`

### getErrorList

    public ErrorListType getErrorList()

  Gets the value of the errorList property.

  Returns:
    possible object is `ErrorListType`

### setErrorList

    public void setErrorList(ErrorListType value)

  Sets the value of the errorList property.

  Parameters:
    `value` - allowed object is `ErrorListType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging generic 3.26.1 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.